#include <pthread.h> // For threading in general
#include <stdlib.h>  // For EXIT_FAILURE
#include <stdio.h>   // Just in case
#include <string.h>  // strlen & Co.
#include <sys/stat.h> // stat

/* Take a filename and return a new allocated string which content equals
 * the given filename with the last 3 chars replaced by "sum". */
char* datToSum(char* datFilename);


int main(int argc, const char *argv[])
{
   // Filename list, must eventualy be read from the "listeFichiers.dat" file.
   char* listeFichiers[200] = {"f1.dat","f2.dat","f3.dat","f4.dat","f5.dat"};
   int nFichiers = 5;

   // Process each file in turn, you have to make it concurrent
   for (int i = 0; i < nFichiers; i++) {
      printf("Fichier %s en traitement\n", listeFichiers[i]);

      // Process current file

      char* fichierResultat = datToSum(listeFichiers[i]);
      // Write something interesting in the result file

      printf("Fichier résultat : [%s]\n", fichierResultat);
   }

   return EXIT_SUCCESS;
}



// filename.dat -> filename.sum
char* datToSum(char* datFilename)
{
   int len = strlen(datFilename);
   if (len < 3)
      return NULL;

   char* result = malloc(len);
   strcpy(result, datFilename);
   strcpy(&(result[len-3]), "sum");

   return result;
}

